import QtQuick 2.0

HMButtonBase {
    id: hmButtonAdd

    property bool showSecondTextLine: false
    property string firstLineText
    property string secondLineText
    signal clicked()

    anchors.centerIn: parent
    height: textLine1.height + showSecondTextLine*textLine2.height + addEmptyButton.height


    HMText {
        id: textLine1
        anchors.top: parent.top
        anchors.horizontalCenter: parent.horizontalCenter
        text: firstLineText
        font.pixelSize: hmStyle.emptyListFontSize
    }

    HMText {
        id: textLine2
        visible: showSecondTextLine
        anchors.top: textLine1.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        text: secondLineText
        font.pixelSize: hmStyle.emptyListFontSize
    }

    HMButton {
        id: addEmptyButton
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: showSecondTextLine ? textLine2.bottom : textLine1.bottom

        imageSource: hmStyle.imageAddButton
        imagePressedSource: hmStyle.imageAddButtonPressed
        height: hmStyle.addMixButtonHeightWidth
        width: hmStyle.addMixButtonHeightWidth

        onClicked: hmButtonAdd.clicked()
    }
}
