import QtQuick 2.2

Canvas {

    property color circleColor

    id: canvas
    height: hmStyle.flavorCircleItemHeight
    width: hmStyle.flavorCircleItemHeight
    state: "deselected"

    onStateChanged: {
        if(!available)
            return;

        var ctx = getContext("2d");
        ctx.clearRect(0, 0, canvas.width, canvas.height);
        requestPaint();
    }

    function toggleSelection() {
        if(state == "selected")
            state = "deselected"
        else
            state = "selected"
    }

    states: [
            State {
                name: "deselected"
            },
            State {
                name: "selected"
            }
        ]


    onPaint:{
        if(!available)
            return;
        var ctx = getContext("2d")
        var drawHeight
        var drawWidth
        if(state === "deselected") {
            ctx.strokeStyle = hmStyle.flavorCircleBorderColor
            ctx.lineWidth = hmStyle.circleThickness
            drawHeight = hmStyle.flavorCircleHeight
            drawWidth = hmStyle.flavorCircleHeight

        } else {
            ctx.strokeStyle = hmStyle.flavorCircleBorderSelectedColor
            ctx.lineWidth = hmStyle.circleSelectedThickness
            drawHeight = hmStyle.flavorCircleSelectedHeight
            drawWidth = hmStyle.flavorCircleSelectedHeight
        }

        ctx.fillStyle = circleColor
        ctx.beginPath()
        ctx.ellipse(width/2-drawWidth/2,height/2-drawHeight/2,drawWidth,drawHeight)
        ctx.stroke()
        ctx.fill()
    }
}
