import QtQuick 2.2

HMButtonBase {

    id: navButton

//-----------------------------------------------------------------------------

    property alias buttonImage: navButtonImage.source
    property bool toggleButton: false

    signal buttonPressed()
    signal buttonToggled(bool isToggled)


    states: [
            State {
                name: "toggled"
                PropertyChanges { target: toggleRect; opacity: 0.2 }
            },
            State {
                name: "nottoggled"
                PropertyChanges { target: toggleRect; opacity: 0 }
            }
        ]

//-----------------------------------------------------------------------------

    state: "nottogled"

    Image {
        id: navButtonImage
        anchors.centerIn: parent
        width: hmStyle.iconHeightWidth
        height: hmStyle.iconHeightWidth
    }

    Rectangle {
        id: toggleRect
        anchors.fill: parent
        color: "white"
        opacity: 0
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            if(toggleButton) {

                if(navButton.state == "toggled")
                    navButton.state = "nottoggled"
                else
                    navButton.state = "toggled"
                buttonToggled(navButton.state == "toggled")
            }
            else {
                //utility.googleAnalyticsHitAction("HMNavbarButton", analyticsName)
                buttonPressed()
            }
        }
    }
}
