import QtQuick 2.2
import QtQuick.Layouts 1.1

Item {

//-----------------------------------------------------------------------------

    id: rootItem

//-----------------------------------------------------------------------------

    property bool interactive: true
    property int mixIdValue
    property int mixRating: 0

    function rating() {
        return mixRating
    }

    signal newRatingSet();

    function updateRating() {
        mixRating = databaseWriter.mixRating(mixIdValue)
    }

    onMixRatingChanged: {
        databaseWriter.setMixRating(mixIdValue, mixRating);
        mixRating = databaseWriter.mixRating(mixIdValue)
    }

    QtObject{
        id: priv
        property string deselectedStar: hmStyle.imageStarOff
        property string selectedStar: hmStyle.imageStarOn


        Component.onCompleted: {
            updateRating()
        }


        function starClicked(newRating) {
            if(rootItem.interactive) {
                if(mixRating === 1 && newRating === 1){
                    newRating = 0
                }
                mixRating = newRating

                newRatingSet();
            }
        }
    }

//-----------------------------------------------------------------------------

    RowLayout {

        anchors.fill: parent
        spacing: 0

        Image {
            id: star1Image
            Layout.fillHeight: true
            Layout.fillWidth: true
            source: (mixRating>=1) ? priv.selectedStar : priv.deselectedStar
            MouseArea{
                anchors.fill: parent
                onClicked: priv.starClicked(1)
            }
        }
        Image {
            id: star2Image
            Layout.fillHeight: true
            Layout.fillWidth: true
            source: (mixRating>=2) ? priv.selectedStar : priv.deselectedStar
            MouseArea{
                anchors.fill: parent
                onClicked: priv.starClicked(2)
            }
        }
        Image {
            id: star3Image
            Layout.fillHeight: true
            Layout.fillWidth: true
            source: (mixRating>=3) ? priv.selectedStar : priv.deselectedStar
            MouseArea{
                anchors.fill: parent
                onClicked: priv.starClicked(3)
            }
        }
        Image {
            id: star4Image
            Layout.fillHeight: true
            Layout.fillWidth: true
            source: (mixRating>=4) ? priv.selectedStar : priv.deselectedStar
            MouseArea{
                anchors.fill: parent
                onClicked: priv.starClicked(4)
            }
        }
        Image {
            id: star5Image
            Layout.fillHeight: true
            Layout.fillWidth: true
            source: (mixRating>=5) ? priv.selectedStar : priv.deselectedStar
            MouseArea{
                anchors.fill: parent
                onClicked: priv.starClicked(5)
            }
        }
    }

//-----------------------------------------------------------------------------

}
