import QtQuick 2.0

Item {
    id: item
    property alias source: image.source

    signal clicked();

    height: hmStyle.imageSmallSocialIconsHeight

    transform: Scale {
                id: scaleTransform
                origin.x: item.width/2; origin.y: item.height/2
                xScale: mouseArea.pressed ? 1.05 : 1
                yScale: mouseArea.pressed ? 1.05 : 1

                Behavior on xScale {  // for animation
                    NumberAnimation { duration: 100 }
                }
                Behavior on yScale {  // for animation
                    NumberAnimation { duration: 100 }
                }
            }


    Image {
        id: image
        width: hmStyle.imageSmallSocialIconsHeight
        height: hmStyle.imageSmallSocialIconsHeight
        anchors.centerIn: parent
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            item.clicked();
        }
    }
}
