import QtQuick 2.2

Canvas {

    property color circleColor
    property alias text: textControl.text
    property real value : 0
    property alias amountFontSize : textControl.font.pixelSize
    property int circleThickness: hmStyle.iconCircleThickness*2

    id: canvas
    height: hmStyle.circleHeight
    width: height

    onCircleColorChanged: requestPaint();
    onValueChanged: requestPaint();

    onPaint:{
        var ctx = getContext("2d")
        ctx.clearRect(0, 0, canvas.width, canvas.height);

        var radius = width/2 - hmStyle.iconCircleThickness;

        ctx.save();
        ctx.beginPath()
        ctx.strokeStyle = Qt.rgba(255,255,255,0.5)
        ctx.lineWidth = hmStyle.iconCircleThickness
        ctx.arc(width/2, height/2, radius, 0, Math.PI*2)
        //ctx.ellipse(0,0,width,height)
        ctx.stroke()
        ctx.restore()


        ctx.beginPath()
        ctx.strokeStyle = circleColor
        ctx.lineWidth = circleThickness


        var portion = value/100.0;
        ctx.arc(width/2, height/2, radius, Math.PI*1.5, (Math.PI*1.5 - (Math.PI*2*(value/100.0))), true);
        ctx.stroke()
    }

    HMText {
        id: textControl
        font.pixelSize: hmStyle.mixIngredientAmountFontSize
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignLeft
        anchors.centerIn: parent
    }
}
