import QtQuick 2.2
import QtQuick.Layouts 1.1
import QtGraphicalEffects 1.0

//-----------------------------------------------------------------------------

Item {

    id: item

//-----------------------------------------------------------------------------

    //property bool checkable: false
    property alias colorBlockColor: colorCircle.circleColor
    property alias text: flavorText.text
    property int flavorId
    property bool selected: false


    transform: Scale {
                id: scaleTransform
                origin.x: item.width/2; origin.y: item.height/2
                xScale: mouseArea.pressed ? 1.02 : 1
                yScale: mouseArea.pressed ? 1.02 : 1

                Behavior on xScale {  // for animation
                    NumberAnimation { duration: 100 }
                }
                Behavior on yScale {  // for animation
                    NumberAnimation { duration: 100 }
                }
            }

    signal clicked()


//-----------------------------------------------------------------------------


    height: hmStyle.listItemFlavorHeight

    Rectangle {
        id: colorFiller
        anchors.fill: parent
        color: "white"
        opacity: selected ? 0.2 : 0.1
    }



    HMFlavorCircle {
        id: colorCircle
        anchors.left: parent.left
        anchors.leftMargin: hmStyle.leftContentMargin
        anchors.verticalCenter: parent.verticalCenter
        circleColor: colorBlockColor
        state: selected ? "selected" : "deselected"
    }

    HMText {
        id: flavorText
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        horizontalAlignment: Text.AlignHCenter
        width: parent.width - 2*colorCircle.width - 2*hmStyle.leftContentMargin
        font.pixelSize: hmStyle.listItemFlavorFontSize
        font.capitalization: Font.AllUppercase
        wrapMode: Text.Wrap
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent

        onClicked: {
            item.clicked()
        }
    }

    Rectangle {
        id: separator

        height: hmStyle.listItemFlavorSeparatorHeight
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        color: hmStyle.listItemFlavorSeparatorColor
    }
}
