import QtQuick 2.2
import QtQuick.Layouts 1.1
import QtGraphicalEffects 1.0

//-----------------------------------------------------------------------------

Item {

    id: item

//-----------------------------------------------------------------------------

    //property bool checkable: false
    property alias colorBlockColor: colorCircle.circleColor
    //property color colorBlockColor: null
    property alias text: flavorText.text
    property int flavorId
    property bool selected: false

    transform: Scale {
                id: scaleTransform
                origin.x: item.width/2; origin.y: item.height/2
                xScale: mouseArea.pressed ? 1.02 : 1
                yScale: mouseArea.pressed ? 1.02 : 1

                Behavior on xScale {  // for animation
                    NumberAnimation { duration: 100 }
                }
                Behavior on yScale {  // for animation
                    NumberAnimation { duration: 100 }
                }
            }

    signal clicked()

//-----------------------------------------------------------------------------


    height: hmStyle.listItemFlavorHeightInFilter

    HMFlavorCircle {
        id: colorCircle
        anchors.left: parent.left
        anchors.leftMargin: hmStyle.leftContentMarginInFilter
        anchors.verticalCenter: parent.verticalCenter
        circleColor: colorBlockColor
        state: selected ? "selected" : "deselected"
    }

    HMText {
        id: flavorText
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: colorCircle.right
        anchors.right: parent.right
        anchors.leftMargin: hmStyle.leftContentMargin
        anchors.rightMargin: hmStyle.leftContentMargin
        font.pixelSize: hmStyle.listItemFlavorInFilterFontSize
        font.capitalization: Font.AllUppercase
        width: hmStyle.filterFlavorsTextWidth
        wrapMode: Text.Wrap
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            item.clicked()
        }
    }
}
