import QtQuick 2.2
import QtQuick.Window 2.1
import QtQuick.Layouts 1.1
import QtGraphicalEffects 1.0



Item {

//-----------------------------------------------------------------------------

    signal backPressed()
    property alias title: titleText.text;
    property alias backButtonVisible: backButton.visible
    property alias navigationButtonsModel: buttonsRepeater.model

//-----------------------------------------------------------------------------

    height: hmStyle.navigationBarHeight 
    onHeightChanged: {
        if(height != hmStyle.navigationBarHeight) {
            height = hmStyle.navigationBarHeight
        }
    }
//-----------------------------------------------------------------------------

    Image{
        id: navbarBackground
        anchors.fill: parent
        source: hmStyle.imageNavBarBackground
    }

    Item {
        id: backButtonRect
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        width: height

        MouseArea{
            anchors.fill: parent
            onPressed: backPressed()
        }

        Image{
            id: backButton
            anchors.centerIn: parent
            width: hmStyle.iconHeightWidth
            height: hmStyle.iconHeightWidth
            source: hmStyle.imageNavBarBack
            fillMode: Image.PreserveAspectFit
        }
    }


    HMText {
        id: titleText
        anchors.centerIn: parent
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: hmStyle.navigationBarFontSize
        color: hmStyle.navigationBarTextColor
    }


    RowLayout {
        anchors.top: parent.top
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        width: buttonsRepeater.model ? height*buttonsRepeater.model.count : 0
        layoutDirection: Qt.RightToLeft
        spacing: 0

        Repeater {
            id: buttonsRepeater

            HMNavbarButton {
                id: navButton
                height: parent ? parent.height : 0
                width: height
                buttonImage: image
                toggleButton: isToggleButton

                onButtonPressed: {
                    screensStack.currentItem.actionTriggered(action, false)
                }
                onButtonToggled: {
                    screensStack.currentItem.actionTriggered(action, isToggled)
                }

                Component.onCompleted: {
                    if(navButton.toggleButton) {
                        var isToggled = screensStack.currentItem.isNavBarButtonToggled(action);
                        navButton.state = isToggled ? "toggled" : "nottoggled";
                    }
                }
            }
        }
    }
}
