import QtQuick 2.2
import QtQuick.Controls 1.1
import HookahMixesModels 1.0

ScreenMixesListBase {

    id: screen

//-----------------------------------------------------------------------------

    screenName: "ScreenFoundMixesList" + " " + bookId
    //: "Possible mixes" screen title
    screenTitle: qsTr("possible-mixes-screen-title")

//-----------------------------------------------------------------------------

    dbModel: DBModelFoundMixesList {
        id: foundMixesListModel
        bookId: screen.bookId
    }

    Component {
        id: linesComponent
        DBModelLinesInTheBookForFoundMixes {}
    }

    Component {
        id: flavorsComponent
        DBModelFlavorsInTheBookForFoundMixes {}
    }


    function actionTriggered(actionName, isToggled) {
        if(actionName === "filter") {
            filterControl.visible = true
            filterControl.initFilterComponents(bookId, linesComponent, flavorsComponent, foundMixesListModel)
        }
        if(actionName === "showAbout") {
            screensStack.openScreen(Qt.resolvedUrl(aboutScreen));
        }
    }

//-----------------------------------------------------------------------------
}
