import QtQuick 2.2
import QtQuick.Controls 1.1
import HookahMixesModels 1.0

ScreenMixesListBase {

    id: screen
    property bool thisIsMyMixesPage: bookId === utility.myMixesBookId()
//-----------------------------------------------------------------------------

    screenName: "ScreenMixesList" + " " + bookId
    //: "Mixes" screen title
    screenTitle: qsTr("mixes-screen-title")    
    noMixesFoundTextVisible: thisIsMyMixesPage ? false : mixesListIsEmpty

    Component.onCompleted: {
        if(thisIsMyMixesPage) {
            var addButton = {'image':"qrc:/images/xhdpi/Add_nav.png",'action': "addMix",'isToggleButton': false};
            navBarButtons.append(addButton)
        }
    }

//-----------------------------------------------------------------------------

    function actionTriggered(actionName, isToggled) {
        if(actionName === "filter") {
            filterControl.visible = true
            filterControl.initFilterComponents(bookId, linesComponent, flavorsComponent, mixesListModel)
        }
        if(actionName === "showAbout") {
            screensStack.openScreen(Qt.resolvedUrl(aboutScreen));
        }
        if(actionName === "addMix") {
             screensStack.openScreen(Qt.resolvedUrl("ScreenEditMix.qml"));
        }
    }


    dbModel: DBModelMixesList {
        id: mixesListModel
        bookId: screen.bookId
    }

    Component {
        id: linesComponent
        DBModelLinesInTheBook {}
    }

    Component {
        id: flavorsComponent
        DBModelFlavorsInTheBook {}
    }

    HMButtonAdd {
        id: visibleWhenMyMixesEmpty
        visible: mixesListIsEmpty && thisIsMyMixesPage
        showSecondTextLine: true
        //: "ADD OWN MIX" text
        secondLineText: qsTr("add-own-mix-text")
        //: "You haven't add any mix yet" text
        firstLineText: qsTr("mixes-not-added")
        onClicked: screensStack.openScreen(Qt.resolvedUrl("ScreenEditMix.qml"));
    }

//-----------------------------------------------------------------------------
}

