import QtQuick 2.2

ScreenBase {

    id: screen

    screenName: "ScreenRate";
    //: "Rate HookahGusto" screen title
    screenTitle: qsTr("rate-hg-screen-title")


    function update(){
    }

    //-----------------------------------------------------------------------------


    Item {

        anchors {
            left: parent.left
            right: parent.right
            centerIn: parent
            verticalCenter: parent.verticalCenter
        }

        width: 0.75*parent.width
        height: headerText1.height + headerText2.height + rateButton.height + remindButton.height + noThanksButton.height + 7*priv.spacing

        QtObject {
            id: priv
            property int spacing: hmStyle.dp(5)
        }

        HMText {
            id: headerText1
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
            //: Text "If you love HookahGusto"
            text: qsTr("if-you-love-hg-text")
            wrapMode: Text.WordWrap
            font.pixelSize: hmStyle.rateHeaderFontSize

        }
        HMText {
            id: headerText2
            anchors {
                top: headerText1.bottom
                //topMargin: priv.spacing
                horizontalCenter: parent.horizontalCenter
            }

            //: Text "please take a moment to rate it!"
            text: qsTr("take-moment-to-rate-text")
            wrapMode: Text.WordWrap
            font.pixelSize: hmStyle.rateHeaderFontSize
        }

        HMButton {
            id: rateButton
            anchors {
                top: headerText2.bottom
                topMargin: priv.spacing*5
                left: parent.left
                right: parent.right
            }
            //: Text: "Rate HookahGusto"
            text: qsTr("rate-hg-text")
            height: hmStyle.bottomButtonHeight
            capitalization: Font.MixedCase

            onClicked: {
                utility.googleAnalyticsHitAction("rate", "setRatingNow")
                settings.setCanAskToRate(false);
                utility.showMarketAppScreen();
                screensStack.closeScreen()
            }
        }

        HMButton {
            id: remindButton
            anchors {
                top: rateButton.bottom
                topMargin: priv.spacing
                left: parent.left
                right: parent.right
            }
            //: "Remind me later" text in rate screen
            text: qsTr("remind-me-later-screen")
            height: hmStyle.bottomButtonHeight
            capitalization: Font.MixedCase

            onClicked: {
                utility.googleAnalyticsHitAction("rate", "setRatingLater")
                settings.setUseCount(0)
                screensStack.closeScreen()
            }
        }

        HMButton {
            id: noThanksButton
            anchors {
                top: remindButton.bottom
                topMargin: priv.spacing
                left: parent.left
                right: parent.right
            }
            //: "No, Thanks" text in rate screen
            text: qsTr("no-thanks-text")
            height: hmStyle.bottomButtonHeight
            capitalization: Font.MixedCase

            onClicked: {
                utility.googleAnalyticsHitAction("rate", "setRatingNever")
                settings.setCanAskToRate(false);
                screensStack.closeScreen()
            }
        }
    }


    //-----------------------------------------------------------------------------
}
