import QtQuick 2.0
import QtQuick.Controls 1.1
import HookahMixesModels 1.0
import QtQuick.Layouts 1.1

ScreenBase {
    id: screen

    screenName: "ScreenSelectBrand";
    //: "Select brand" screen title
    screenTitle: qsTr("select-brand-screen-title")

    property var functorToCallOnAdd
    property string backButtonText
    property string addFlavorsButtonText

    //model
    DBModelAllBrands {
        id: dbModelAllBrands
    }


    Component {
        id: delegate

        HMMenuItem {
            id: brandElement
            showLoading: true
            anchors {
                left: parent.left
                right: parent.right
                leftMargin: hmStyle.menuItemLeftRightMargin
                rightMargin: hmStyle.menuItemLeftRightMargin
            }

            imageSource: utility.brandIconByName(makerNameField)
            title: makerNameField

            //: "flavors" phrase on select brand screens, means amount of flavors founds
            description: qsTr("flavors-text") + ": " + flavorsCountField;
            separatorVisible: true

            onClicked: {
                screensStack.openScreen(Qt.resolvedUrl("ScreenAddFlavors.qml"), {"maker": makerNameField, "immediate": true, "functorToCallOnAdd": functorToCallOnAdd, "addFlavorsButtonText" : addFlavorsButtonText });
            }
        }

    }

    HMListView {
        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
            bottom: backToShelfButton.top
        }

        model: dbModelAllBrands
        delegate: delegate 	// Refers to the delegate component
        clip: true
    }

    HMButton {
        id: backToShelfButton

        height: hmStyle.bottomButtonHeight
        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
            leftMargin: hmStyle.buttonMargin
            rightMargin: hmStyle.buttonMargin
            bottomMargin: hmStyle.buttonMargin
        }

        text: backButtonText
        onClicked: screensStack.closeScreen();
    }
}
