import QtQuick 2.2
import QtQuick.Controls 1.1
import HookahMixesModels 1.0
import QtQuick.Layouts 1.1


ScreenBase {

//-----------------------------------------------------------------------------

    property int shareType: ISharer.TellAboutHookahGusto;
    property string mixDescription
    property int mixId
    property bool unlock: true

//-----------------------------------------------------------------------------

    screenName: "ScreenShare";
    //: "Share" screen title
    screenTitle: qsTr("share-screen-title")

//-----------------------------------------------------------------------------

    ColumnLayout {
        anchors.fill: parent

//        HMButton {
//            id: shareFacebook
//            anchors.left: parent.left
//            anchors.leftMargin: hmStyle.leftContentMargin
//            height: hmStyle.addMixButtonHeightWidth
//            width: hmStyle.addMixButtonHeightWidth
//            imageSource: hmStyle.imageShareFbButton
//            imagePressedSource: hmStyle.imageShareFbPressedButton

//            onClicked: {
//                sharer.shareOnFacebook(shareType,mixDescription,mixId);
//            }

//            HMText {
//                anchors.left: parent.right
//                anchors.leftMargin: hmStyle.leftContentMargin
//                anchors.verticalCenter: parent.verticalCenter
//                font.pixelSize: hmStyle.listItemHeaderMenuTextFontSize
//                text: "FACEBOOK"
//            }
//        }

        HMButton {
            id: shareVkontakte
            anchors.left: parent.left
            anchors.leftMargin: hmStyle.leftContentMargin
            height: hmStyle.addMixButtonHeightWidth
            width: hmStyle.addMixButtonHeightWidth
            imageSource: hmStyle.imageShareVkButton
            imagePressedSource: hmStyle.imageShareVkPressedButton

            onClicked: {
                utility.googleAnalyticsHitAction("share", "Vkontakte")
                sharer.shareOnVkontakte(shareType)
            }

            HMText {
                anchors.left: parent.right
                anchors.leftMargin: hmStyle.leftContentMargin
                anchors.verticalCenter: parent.verticalCenter
                font.pixelSize: hmStyle.listItemHeaderMenuTextFontSize
                text: "VKONTAKTE"
            }
        }

        HMButton {
            id: shareTwitter
            anchors.left: parent.left
            anchors.leftMargin: hmStyle.leftContentMargin
            height: hmStyle.addMixButtonHeightWidth
            width: hmStyle.addMixButtonHeightWidth
            imageSource: hmStyle.imageShareTwButton
            imagePressedSource: hmStyle.imageShareTwPressedButton

            onClicked: {
                utility.googleAnalyticsHitAction("share", "Twitter")
                sharer.shareOnTwitter(shareType)
            }

            HMText {
                anchors.left: parent.right
                anchors.leftMargin: hmStyle.leftContentMargin
                anchors.verticalCenter: parent.verticalCenter
                font.pixelSize: hmStyle.listItemHeaderMenuTextFontSize
                text: "TWITTER"
            }
        }

        HMButton {
            id: shareInstagram
            anchors.left: parent.left
            anchors.leftMargin: hmStyle.leftContentMargin
            height: hmStyle.addMixButtonHeightWidth
            width: hmStyle.addMixButtonHeightWidth
            imageSource: hmStyle.imageShareInstButton
            imagePressedSource: hmStyle.imageShareInstPressedButton

            onClicked: {
                utility.googleAnalyticsHitAction("share", "Instagram")
                sharer.shareOnInstagram(shareType)
            }

            HMText {
                anchors.left: parent.right
                anchors.leftMargin: hmStyle.leftContentMargin
                anchors.verticalCenter: parent.verticalCenter
                font.pixelSize: hmStyle.listItemHeaderMenuTextFontSize
                text: "INSTAGRAM"
            }
        }

        HMText {
            anchors.horizontalCenter: parent.horizontalCenter
            font.pixelSize: hmStyle.listItemMenuDescriptionFontSize
            //: <font color=\"yellow\"><b>#hookahgusto</b></font>
            text: qsTr("hg-hashtag");
        }

    }

    function processSharingFinished(sharingSucceeded) {
//        if(shareType == ISharer.TellAboutHookahGusto && sharingSucceeded && unlock ){
//            settings.setProUnlocked(true);
//            screensStack.closeScreen()
//            screensStack.openScreen(Qt.resolvedUrl("ScreenShareSuccess.qml"));
//        }
//        else {
            screensStack.closeScreen()
        //}
    }


    Component.onCompleted: {
        sharer.sharingFinished.connect(processSharingFinished);
    }

//-----------------------------------------------------------------------------

}



