import QtQuick 2.2
import QtQuick.Layouts 1.1
import HookahMixesModels 1.0

ScreenBase {

    screenName: "ScreenShareSuccess";
    //: Purchase success title
    screenTitle: qsTr("share-success-screen-title")

    function update(){
    }

    //-----------------------------------------------------------------------------


    HMText {
        id: hookahGustoText
        anchors.bottom: socialIcons.top
        anchors.bottomMargin: 2*hmStyle.leftContentMargin
        anchors.horizontalCenter: parent.horizontalCenter
        //: "Thank you! All features unlocked!"
        text: qsTr("thank-you-unlocked")
        font.pixelSize: hmStyle.aboutTextSize1
    }


    Row {
        id: socialIcons

        anchors.verticalCenter: parent.verticalCenter
        anchors.bottomMargin: 2*hmStyle.leftContentMargin
        anchors.left: parent.left
        anchors.right: parent.right

        height: hmStyle.imageBigSocialIconsHeight
        spacing: 0


        Item {
            height: hmStyle.imageBigSocialIconsHeight
            width: socialIcons.width/4

            Image {
                width: hmStyle.imageBigSocialIconsHeight
                height: hmStyle.imageBigSocialIconsHeight
                source: hmStyle.imageVkSmallIcon
                anchors.centerIn: parent
            }

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    utility.openOfficialVk();
                }
            }
        }

        Item {
            height: hmStyle.imageBigSocialIconsHeight
            width: socialIcons.width/4
            Image {
                width: hmStyle.imageBigSocialIconsHeight
                height: hmStyle.imageBigSocialIconsHeight
                source: hmStyle.imageFbSmallIcon
                anchors.centerIn: parent
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    utility.openOfficialFb();
                }
            }
        }

        Item {
            height: hmStyle.imageBigSocialIconsHeight
            width: socialIcons.width/4
            Image {
                width: hmStyle.imageBigSocialIconsHeight
                height: hmStyle.imageBigSocialIconsHeight
                source: hmStyle.imageTwSmallIcon
                anchors.centerIn: parent
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    utility.openOfficialTw();
                }
            }
        }

        Item {
            height: hmStyle.imageBigSocialIconsHeight
            width: socialIcons.width/4
            Image {
                width: hmStyle.imageBigSocialIconsHeight
                height: hmStyle.imageBigSocialIconsHeight
                source: hmStyle.imageInstSmallIcon
                anchors.centerIn: parent
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    utility.openOfficialInst();
                }
            }
        }

    }

    HMText {
        id: mobileAppText
        anchors.top: socialIcons.bottom
        anchors.topMargin: 2*hmStyle.leftContentMargin
        anchors.horizontalCenter: parent.horizontalCenter
        //: "Join us and stay connected :)"
        text: qsTr("join-us-stay-connected")
        font.pixelSize: hmStyle.aboutTextSize2
    }

    HMButton {
        id: backButton

        height: hmStyle.bottomButtonHeight
        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
            leftMargin: hmStyle.buttonMargin
            rightMargin: hmStyle.buttonMargin
            bottomMargin: hmStyle.buttonMargin
        }

        //: "BACK TO WORK" button text
        text: qsTr("back-to-work")
        onClicked: screensStack.closeScreen();
    }

    //-----------------------------------------------------------------------------
}
